Subject: bug#809: transient mark mode gets activated every time i move

From: "Larry D'anna" <[email-masked]>
Date: Thu, 28 Aug 2008 15:14:01 -0400

Chong Yidong wrote:
> "Larry D'anna" <[email-masked]> writes:
>
>   
>>> In the current Emacs 23 code, I don't believe transient-mark-mode takes
>>> on the value (only).  You may have some stale files not corresponding to
>>> the latest CVS, so I'd suggest trying a fresh checkout and trying again.
>>>
>>>       
>> yea i suspected that was the problem.  I've already tried it and it
>> still happens on a fresh checkout :-/
>>     
>
> One other possibility is that your X server is sending spurious shift
> modifiers to Emacs.  Could you try setting shift-select-mode to nil and
> seeing if the problem persists?
>
>   
that makes it go away!

this is what xev prints for a C-p on my x server

KeyPress event, serial 30, synthetic NO, window 0x3a00001,
    root 0x217, subw 0x0, time 16366578, (702,581), root:(707,632),
    state 0x16, keycode 33 (keysym 0x50, P), same_screen YES,
    XLookupString gives 1 bytes: (10) ""
    XmbLookupString gives 1 bytes: (10) ""
    XFilterEvent returns: False

0x16 = Button1Mask | LockMask | ControlMask

so it's my broken xmodmap thats causeing the probem, not emacs.

sorry for the false bug, and thanks for the help

    --larry